From: Emmanuel Arias <eamanu@debian.org>
Date: Sat, 3 Feb 2024 17:48:35 -0300
Subject: Remove vendor-deps target call

d/watch point to pypy.debian.net so, it already have the vendor
dependency include in the upstream source code. As does not exists any
RFP for this vendors, I do not consider necessary include in Debian for
the moment.
---
 GNUmakefile | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

--- a/GNUmakefile
+++ b/GNUmakefile
@@ -43,7 +43,7 @@
 
 all: $(OUTDIR)/$(LIBFILE)
 
-$(OUTDIR)/$(LIBFILE): vendor-deps $(SRC) $(C_SOURCES) GNUmakefile
+$(OUTDIR)/$(LIBFILE): $(SRC) $(C_SOURCES) GNUmakefile
 	$(CXX) $(SCALENECXXFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(LDFLAGS) $(INCLUDES) $(SRC) -o $(OUTDIR)/$(LIBFILE) -ldl -lpthread
 
 clean:
@@ -84,7 +84,7 @@
 prettier:
 	-npx prettier -w $(JS_SOURCES)
 
-bdist: vendor-deps
+bdist:
 	$(PYTHON) -m build --wheel
 ifeq ($(shell uname -s),Linux)
 	auditwheel repair dist/*.whl
@@ -92,7 +92,7 @@
 	mv wheelhouse/*.whl dist/
 endif
 
-sdist: vendor-deps
+sdist:
 	$(PYTHON) -m build --sdist
 
 upload: sdist bdist # to pypi
--- a/setup.py
+++ b/setup.py
@@ -65,7 +65,8 @@
     """Custom command to download vendor libs before creating the egg_info."""
     def run(self):
         if sys.platform != 'win32':
-            self.spawn([make_command(), 'vendor-deps'])
+            # self.spawn([make_command(), 'vendor-deps'])
+            pass
         super().run()
 
 # Force building platform-specific wheel to avoid the Windows wheel
